<?php
//echo 'hollaaa';
require_once 'bd.php';

// Listamos todas las cursos, ordenada por el campo que le digamos
function lista_ini() {
  	open();
  if (!isset($orden)) $orden='INICIATIVA_SEG';
  $query = "SELECT INICIATIVA_NOMBRE, INICIATIVA_SEG, INICIATIVA_FECHA FROM iniciativa ORDER BY $orden";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }

  return $ini;
}

function det_pre() {
  	open();
  $query = "SELECT PROYECTO_ID, PROYECTO_DESCRI, PROYECTO_TITULO, PROYECTO_INICIO, PROYECTO_FIN, PROYECTO_PERCENT_COMPLETE,  PROYECTO_PRESUPUESTO_INICIAL, PROYECTO_PRESUPUESTO_ACTUAL FROM proyectos";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function det_pro() {
  	open();
  $query = "SELECT PROYECTO_ID, PROYECTO_DESCRI, PROYECTO_TITULO, PROYECTO_INICIO, PROYECTO_FIN, PROYECTO_PERCENT_COMPLETE,  PROYECTO_PRESUPUESTO_INICIAL, PROYECTO_PRESUPUESTO_ACTUAL FROM proyectos";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function det_pro2($in_id) {
  	open();
  $query = "SELECT proyectos.PROYECTO_ID, proyectos.PROYECTO_DESCRI, proyectos.PROYECTO_TITULO, proyectos.PROYECTO_INICIO, proyectos.PROYECTO_FIN, proyectos.PROYECTO_PERCENT_COMPLETE,  proyectos.PROYECTO_PRESUPUESTO_INICIAL, proyectos.PROYECTO_PRESUPUESTO_ACTUAL,estados.ESTADO_DES, iniciativa.INICIATIVA_NOMBRE 
FROM proyectos,estados,iniciativa,proyecto_iniciativa 
WHERE proyectos.PROYECTO_ID=$in_id AND proyectos.ESTADO_ID=estados.ESTADO_ID AND proyectos.PROYECTO_ID = proyecto_iniciativa.PROYECTO_ID and proyecto_iniciativa.INICIATIVA_ID = iniciativa.INICIATIVA_ID";
  //echo $query;
  $result = mysql_query($query) or die(mysql_error());

  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function det_rie($in_id){
  	open();
  $query = "SELECT riesgos.RIESGO_ID, riesgos.RIESGO_NOMBRE, riesgos.RIESGO_FECHA, estados.ESTADO_DES, riesgos.RIESGO_PROBA, riesgos.RIESGO_IMPACTO, proyectos.PROYECTO_DESCRI,proyectos.PROYECTO_ID FROM riesgos, estados, proyecto_riesgos, proyectos 
  WHERE proyectos.PROYECTO_ID=$in_id AND proyecto_riesgos.PROYECTO_ID=$in_id and riesgos.RIESGO_ID= proyecto_riesgos.RIESGO_ID and riesgos.RIESGO_ESTADO = estados.estado_id";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function det_rie2($in_id){
  open();
  $query = "SELECT riesgos.RIESGO_ID, riesgos.RIESGO_NOMBRE, riesgos.RIESGO_FECHA, riesgos.RIESGO_PROBA, riesgos.RIESGO_IMPACTO,estados.ESTADO_DES
  FROM riesgos, estados
  WHERE riesgos.riesgo_ID=$in_id AND riesgos.RIESGO_ESTADO = estados.estado_id";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function guarda_proyecto($titulo,$descri,$inicio,$fin,$presupuesto) {
  // $query = "select max(proyecto_id) from proyectos";
  //$result = mysql_query($query) or die(mysql_error());
  open();
  $query = "INSERT INTO proyectos VALUES (NULL,'$titulo','$descri','$inicio','$fin',0,$presupuesto,0,1)";
  $result = mysql_query($query) or die(mysql_error());
  
  $query2 = "INSERT INTO tareas VALUES (NULL,'tareasPendientes de crear','',null,'',1,null,null)";
  $result2 = mysql_query($query2) or die(mysql_error());
  
  $query3 = "INSERT INTO riesgos VALUES (NULL,'riesgos no detectados','',1,null,null)";
  $result3 = mysql_query($query3) or die(mysql_error());
  
  $query4 = "INSERT INTO proyecto_riesgos VALUES ((select (max(proyectos.PROYECTO_id)) from proyectos),(select (max(riesgos.riesgo_id)) from riesgos))";
  $result4 = mysql_query($query4) or die(mysql_error());
  
  $query5 = "INSERT INTO tarea_proyectos VALUES ((select (max(tareas.tarea_id)) from tareas),(select (max(proyectos.PROYECTO_id)) from proyectos))";
  $result5 = mysql_query($query5) or die(mysql_error());
  
   $query5 = "INSERT INTO proyecto_iniciativa VALUES ((select (max(proyectos.PROYECTO_id)) from proyectos),15)";
  $result5 = mysql_query($query5) or die(mysql_error());
  
}
function modi_proyecto($cod,$titulo,$descri,$inicio,$fin,$por,$pre,$est,$ini) {
  // $query = "select max(proyecto_id) from proyectos";
  //$result = mysql_query($query) or die(mysql_error());
  open();
  $query = "UPDATE proyectos SET proyectos.PROYECTO_TITULO = '$titulo',proyectos.PROYECTO_DESCRI = '$descri',proyectos.PROYECTO_INICIO = '$inicio',proyectos.PROYECTO_FIN = '$fin', proyectos.PROYECTO_PERCENT_COMPLETE = $por,proyectos.PROYECTO_PRESUPUESTO_ACTUAL = $pre
  WHERE proyectos.PROYECTO_ID =$cod";
  $result = mysql_query($query) or die(mysql_error());
  
  $query2="UPDATE proyectos,estados SET proyectos.ESTADO_ID=estados.ESTADO_ID WHERE estados.ESTADO_DES='$est' and proyectos.PROYECTO_ID=$cod";
  $result2 = mysql_query($query2) or die(mysql_error());
 
  $query3="UPDATE proyecto_iniciativa,iniciativa SET proyecto_iniciativa.INICIATIVA_ID=iniciativa.INICIATIVA_ID WHERE iniciativa.INICIATIVA_NOMBRE= '$ini' and proyecto_iniciativa.PROYECTO_ID=$cod";
  $result3 = mysql_query($query3) or die(mysql_error());

}

function guarda_riesgo($descri,$inicio,$proba,$impacto,$codi) {
  open();
  $query = "INSERT INTO riesgos VALUES (NULL,'$descri','$inicio',1,$proba,$impacto)";
  $result = mysql_query($query) or die(mysql_error());
  
  $query2 = "INSERT INTO proyecto_riesgos VALUES ($codi,(select (max(riesgos.riesgo_id)) from riesgos))";
  $result2 = mysql_query($query2) or die(mysql_error());
}


function modi_riesgo($cod,$descri,$inicio,$proba,$impacto,$est) {
  // $query = "select max(proyecto_id) from proyectos";
  //$result = mysql_query($query) or die(mysql_error());
  open();
  $query = "UPDATE riesgos SET riesgos.riesgo_nombre = '$descri',riesgos.riesgo_fecha = '$inicio',riesgos.riesgo_proba = 'proba', riesgos.riesgo_impacto = $impacto
  WHERE riesgos.riesgo_ID =$cod";
  $result = mysql_query($query) or die(mysql_error());
  
  $query2="UPDATE riesgos,estados SET riesgos.riesgo_ESTADO=estados.ESTADO_ID WHERE estados.ESTADO_DES='$est' and riesgos.riesgo_ID=$cod";
  $result2 = mysql_query($query2) or die(myssql_error());
}

function det_ta($in_id){
  	open();
  $query = "SELECT tareas.TAREA_ID, tareas.TAREA_NOMBRE, tareas.TAREA_INICIO, tareas.TAREA_FIN,estados.ESTADO_DES, tareas.TAREA_HORAS, tareas.TAREA_PORCE_COMPLE, tareas.TAREA_PRESUPUESTO, proyectos.PROYECTO_DESCRI,proyectos.PROYECTO_ID FROM tareas, estados, tarea_proyectos,proyectos 
  WHERE proyectos.PROYECTO_ID=$in_id AND tarea_proyectos.PROYECTO_ID=$in_id and tareas.TAREA_ID= tarea_proyectos.TAREA_ID and tareas.TAREA_ESTADO = estados.estado_id";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function det_ta2($in_id){
  open(); 
  $query = "select tareas.TAREA_ID, tareas.TAREA_NOMBRE, tareas.TAREA_INICIO, tareas.TAREA_FIN, tareas.TAREA_HORAS, tareas.TAREA_PORCE_COMPLE, tareas.TAREA_PRESUPUESTO, estados.ESTADO_DES  FROM tareas, estados
  WHERE tareas.tarea_ID=$in_id AND tareas.tarea_ESTADO = estados.estado_id";
  //echo $query;
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function modi_tarea($cod,$descri,$inicio,$fin,$horas,$porcen,$presu,$est) {
  // $query = "select max(proyecto_id) from proyectos";
  //$result = mysql_query($query) or die(mysql_error());
  open();
  $query = "UPDATE tareas SET tareas.tarea_nombre = '$descri',tareas.tarea_inicio = '$inicio',tareas.tarea_fin = '$fin', tareas.tarea_horas = $horas, tareas.tarea_porce_comple=$porcen,tareas.tarea_presupuesto = $presu
  WHERE tareas.tarea_ID =$cod";
  
  //echo $query;
  $result = mysql_query($query) or die(mysql_error());
  
  $query2="UPDATE tareas,estados SET tareas.tarea_ESTADO=estados.ESTADO_ID WHERE estados.ESTADO_DES='$est' and tareas.tarea_ID=$cod";
  $result2 = mysql_query($query2) or die(myssql_error());
}

function guarda_tarea($descri,$inicio,$fin,$horas,$porcen,$presu,$estado,$cod) {
  open();
  $query = "INSERT INTO tareas VALUES (NULL,'$descri','$inicio',$horas,'$fin',1,$porcen,$presu)";
  $result = mysql_query($query) or die(mysql_error());
  
  $query2 = "INSERT INTO tarea_proyectos VALUES ((select (max(tareas.tarea_id)) from tareas),$cod)";
  $result2 = mysql_query($query2) or die(mysql_error());
}

function det_usu() {
  	open();
  $query = "SELECT usuarios.USUARIO_ID, usuarios.USUARIO_USUARIONOMBRE, usuarios.USUARIO_EMAIL, usuarios.USUARIO_TELEFONO, usuario_tipos.TIPO_USUARIO_DES FROM usuarios, usuario_tipos 
  WHERE usuarios.TIPO_ID = usuario_tipos.TIPO_USUARIO_ID";
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}

function det_usu2($in_id){
  open(); 
  $query = "select usuarios.USUARIO_ID, usuarios.USUARIO_USUARIONOMBRE, usuarios.USUARIO_EMAIL, usuarios.USUARIO_TELEFONO, usuario_tipos.TIPO_USUARIO_DES FROM usuarios, usuario_tipos 
  WHERE usuarios.TIPO_ID = usuario_tipos.TIPO_USUARIO_ID and usuarios.USUARIO_ID=$in_id";
  //echo $query;
  $result = mysql_query($query) or die(mysql_error());
  while($in = mysql_fetch_array($result)) {
    $ini[]=$in;
  }
  return $ini;
}
function modi_usuario($cod,$nombre,$email,$telefono,$tipo) {

  open();
  $query = "UPDATE usuarios SET usuarios.USUARIO_USUARIONOMBRE = '$nombre',usuarios.USUARIO_EMAIL= '$email',usuarios.USUARIO_TELEFONO = '$telefono' 
  WHERE usuarios.USUARIO_ID =$cod";
  
  //echo $query;
  $result = mysql_query($query) or die(mysql_error());
  
  $query2="UPDATE usuarios,usuario_tipos SET usuarios.TIPO_ID = usuario_tipos.TIPO_USUARIO_ID WHERE usuario_tipos.TIPO_USUARIO_DES='$tipo' and usuarios.USUARIO_ID=$cod";
  $result2 = mysql_query($query2) or die(myssql_error());
}
function guarda_usuario($codigo,$nombre,$email,$telefono) {
  open();
  $query = "INSERT INTO usuarios VALUES (NULL,'$nombre','$codigo',0,'$codigo','$nombre','$email','$telefono',2)";
  $result = mysql_query($query) or die(mysql_error());
}

?>


